import { debounce } from './utils/debounce';
import { throttle } from "./utils/throttle"
import { transformJson } from './utils/transformJson'
import { loadScript, loadScriptString, loadScriptCallback, loadStyles, loadStyleString } from './utils/loadJsAndCss';
import { getExt } from './utils/getExt';
import { copyToBoard } from "./utils/copyToBoard";
import { sleep } from "./utils/sleep";
import { uuid } from "./utils/uuid";
import { cutNumber } from "./utils/cutNumber";
import { getFormData } from "./utils/getFormData";
import { getQueryValue } from "./utils/getQueryValue";
import { objExtension } from "./utils/objExtension";
import { getRequest } from "./utils/getRequest";
import { screenfull, isFullscreenEnabled } from "./utils/screenfull";
import { bd09togcj02, gcj02tobd09, gcj02towgs84, wgs84togcj02, calcAngle } from "./utils/gis"
import bus from "./utils/EventBus";


export {
    debounce,
    throttle,
    transformJson,
    getExt,
    copyToBoard,
    sleep,
    uuid,
    cutNumber,
    getFormData,
    getQueryValue,
    isFullscreenEnabled,
    objExtension,
    getRequest,
    screenfull,
    loadScript,
    loadScriptString,
    loadScriptCallback,
    loadStyles,
    loadStyleString,
    bd09togcj02,
    gcj02tobd09,
    gcj02towgs84,
    wgs84togcj02,
    calcAngle,
    bus
}

export default {
    debounce,
    throttle,
    transformJson,
    getExt,
    copyToBoard,
    sleep,
    uuid,
    cutNumber,
    getFormData,
    getQueryValue,
    isFullscreenEnabled,
    objExtension,
    getRequest,
    screenfull,
    loadScript,
    loadScriptString,
    loadScriptCallback,
    loadStyles,
    loadStyleString,
    bd09togcj02,
    gcj02tobd09,
    gcj02towgs84,
    wgs84togcj02,
    calcAngle,
    bus
}